<?php
include 'auth_check.php';
include 'config.php';

$sql = "SELECT id, nume, zile_scadenta FROM furnizori";
$result = $conn->query($sql);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Vizualizează și Editează Furnizori</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f7f7f7;
        }
        h1 {
            text-align: center;
            margin: 20px 0;
        }
        .container {
            max-width: 600px;
            margin: 0 auto;
            padding: 20px;
            background-color: #fff;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-radius: 8px;
        }
        table {
            width: 100%;
            border-collapse: collapse;
        }
        table, th, td {
            border: 1px solid black;
        }
        th, td {
            padding: 10px;
            text-align: left;
        }
        th {
            background-color: #f2f2f2;
        }
        .edit-btn, .delete-btn {
            cursor: pointer;
            color: blue;
        }
        .delete-btn {
            color: red;
        }
        .save-btn, .cancel-btn {
            display: none;
            cursor: pointer;
            color: green;
        }
        .menu {
            text-align: center;
            margin-top: 20px;
        }
        .menu a {
            display: inline-block;
            margin: 10px;
            padding: 10px 20px;
            background-color: #4CAF50;
            color: white;
            text-decoration: none;
            border-radius: 5px;
        }
        .menu a:hover {
            background-color: #45a049;
        }
    </style>
    <script>
        function editRow(id) {
            document.querySelectorAll(`.row-${id} .edit-btn`).forEach(btn => btn.style.display = 'none');
            document.querySelectorAll(`.row-${id} .delete-btn`).forEach(btn => btn.style.display = 'none');
            document.querySelectorAll(`.row-${id} .save-btn`).forEach(btn => btn.style.display = 'inline');
            document.querySelectorAll(`.row-${id} .cancel-btn`).forEach(btn => btn.style.display = 'inline');

            document.querySelectorAll(`.row-${id} .editable`).forEach(cell => {
                const value = cell.innerText;
                cell.innerHTML = `<input type="text" value="${value}">`;
            });

            document.querySelectorAll(`.row-${id} .editable-number`).forEach(cell => {
                const value = cell.innerText;
                cell.innerHTML = `<input type="number" value="${value}">`;
            });
        }

        function cancelEdit(id) {
            document.querySelectorAll(`.row-${id} .edit-btn`).forEach(btn => btn.style.display = 'inline');
            document.querySelectorAll(`.row-${id} .delete-btn`).forEach(btn => btn.style.display = 'inline');
            document.querySelectorAll(`.row-${id} .save-btn`).forEach(btn => btn.style.display = 'none');
            document.querySelectorAll(`.row-${id} .cancel-btn`).forEach(btn => btn.style.display = 'none');

            document.querySelectorAll(`.row-${id} .editable`).forEach(cell => {
                const input = cell.querySelector('input');
                cell.innerHTML = input.value;
            });

            document.querySelectorAll(`.row-${id} .editable-number`).forEach(cell => {
                const input = cell.querySelector('input');
                cell.innerHTML = input.value;
            });
        }

        function saveRow(id) {
            const data = {
                id: id,
                nume: document.querySelector(`.row-${id} .nume input`).value,
                scadenta: document.querySelector(`.row-${id} .scadenta input`).value
            };

            fetch('update_furnizor.php', {
                method: 'POST',
                headers: {
                    '
