<?php
include 'auth_check.php'; // Include fișierul de verificare a autentificării
include 'config.php'; // Include configurația bazei de date
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Pagina Principală</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
    <style>
       :root {
            --primary-color: #3498db; /* Albastru */
            --secondary-color: #2ecc71; /* Verde */
            --danger-color: #e74c3c; /* Roșu */
            --warning-color: #f39c12; /* Galben */
            --bg-color: #f4f6f9; /* Gri deschis */
            --text-color: #34495e; /* Gri închis */
            --border-radius: 16px; /* Colțuri mai rotunjite */
        }

        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            margin: 0;
            padding: 0;
            background-color: var(--bg-color);
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }

        .container {
            width: 90%;
            max-width: 400px;
            background-color: #fff;
            padding: 20px 15px;
            border-radius: var(--border-radius);
            box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
            text-align: center;
        }

        h1 {
            color: var(--text-color);
            margin-bottom: 20px;
            font-size: 1.5rem;
            font-weight: bold;
        }

        .button-row {
            display: flex;
            flex-direction: column;
            gap: 10px;
        }

        .button-row a {
            padding: 12px;
            background-color: var(--primary-color);
            color: white;
            text-decoration: none;
            border-radius: var(--border-radius);
            transition: background-color 0.3s ease, transform 0.2s ease;
            font-size: 1rem;
            font-weight: 500;
            text-align: center;
        }

        .button-row a:hover {
            background-color: #2980b9;
            transform: translateY(-2px); /* Efect de hover cu lift */
        }

        /* Efect de umbră la hover */
        .button-row a:active {
            transform: translateY(0);
            box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.2);
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Pagina Principală</h1>
        <div class="button-row">
            <a href="add_furnizor.php">Adaugă Furnizor</a>
            <a href="add_factura.php">Adaugă Factură</a>
            <a href="view_facturi.php">Vizualizează Facturi</a>
        </div>
    </div>
</body>
</html>
