<?php
include 'auth_check.php';
include 'config.php';

$sql = "SELECT id, nume, zile_scadenta FROM furnizori";
$result = $conn->query($sql);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    
    <style>
        :root {
            --primary-color: #3498db; /* Albastru */
            --secondary-color: #2ecc71; /* Verde */
            --danger-color: #e74c3c; /* Roșu */
            --warning-color: #f39c12; /* Galben */
            --bg-color: #ecf0f1; /* Gri deschis */
            --text-color: #2c3e50; /* Gri închis */
            --border-radius: 12px;
        }

        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: flex-start;
            min-height: 100vh;
            background-color: var(--bg-color);
        }

        .container {
            width: 95%;
            max-width: 700px;
            background-color: #fff;
            padding: 20px;
            border-radius: var(--border-radius);
            box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
            margin-top: 40px;
            animation: fadeIn 0.5s ease-in-out;
        }

        @keyframes fadeIn {
            from { opacity: 0; transform: translateY(20px); }
            to { opacity: 1; transform: translateY(0); }
        }

        h1 {
            text-align: center;
            color: var(--text-color);
            font-size: 1.5rem;
            margin-bottom: 20px;
        }

        table {
            width: 100%;
            border-spacing: 0;
            margin-bottom: 20px;
        }

        th, td {
            padding: 15px;
            text-align: left;
            color: var(--text-color);
            border-bottom: 1px solid #ddd;
        }

        th {
            background-color: var(--bg-color);
            font-weight: bold;
            font-size: 0.9rem;
        }

        tr:nth-child(even) {
            background-color: #f9f9f9;
        }

        tr:hover {
            background-color: #f1f1f1;
            transition: background-color 0.3s ease;
        }

        .actions {
            display: flex;
            justify-content: space-around;
            gap: 10px;
        }

        .button {
            cursor: pointer;
            color: #fff;
            padding: 10px;
            border-radius: var(--border-radius);
            text-align: center;
            width: 80px;
            font-size: 0.8rem;
            transition: background-color 0.3s ease, transform 0.2s ease;
        }

        .edit-btn {
            background-color: var(--warning-color); /* Galben pentru edit */
        }

        .edit-btn:hover {
            background-color: #e0a800; /* Galben închis */
            transform: scale(1.05);
        }

        .delete-btn {
            background-color: var(--danger-color); /* Roșu pentru ștergere */
        }

        .delete-btn:hover {
            background-color: #c0392b; /* Roșu închis */
            transform: scale(1.05);
        }

        .save-btn {
            background-color: var(--secondary-color); /* Verde pentru salvare */
            display: none;
        }

        .save-btn:hover {
            background-color: #27ae60; /* Verde închis */
            transform: scale(1.05);
        }

        .cancel-btn {
            background-color: var(--primary-color); /* Albastru pentru anulare */
            display: none;
        }

        .cancel-btn:hover {
            background-color: #2980b9; /* Albastru închis */
            transform: scale(1.05);
        }

        .menu {
            text-align: center;
            margin-top: 20px;
        }

        .menu a {
            display: inline-block;
            margin: 10px 0;
            padding: 12px 24px;
            background-color: var(--primary-color);
            color: white;
            text-decoration: none;
            border-radius: var(--border-radius);
            font-size: 0.9rem;
            transition: background-color 0.3s ease, transform 0.2s ease;
        }

        .menu a:hover {
            background-color: #2980b9; /* Albastru închis */
            transform: scale(1.05);
        }

        input[type="text"], input[type="number"] {
            width: calc(100% - 20px);
            padding: 8px;
            border-radius: var(--border-radius);
            border: 1px solid #ddd;
            margin-left: 10px;
        }
    </style>
    <script>
        function editRow(id) {
            document.querySelectorAll(`.row-${id} .edit-btn`).forEach(btn => btn.style.display = 'none');
            document.querySelectorAll(`.row-${id} .delete-btn`).forEach(btn => btn.style.display = 'none');
            document.querySelectorAll(`.row-${id} .save-btn`).forEach(btn => btn.style.display = 'inline-block');
            document.querySelectorAll(`.row-${id} .cancel-btn`).forEach(btn => btn.style.display = 'inline-block');

            document.querySelectorAll(`.row-${id} .editable`).forEach(cell => {
                const value = cell.innerText.trim();
                cell.dataset.original = value;
                cell.innerHTML = `<input type="text" value="${value}">`;
            });

            document.querySelectorAll(`.row-${id} .editable-number`).forEach(cell => {
                const value = cell.innerText.trim();
                cell.dataset.original = value;
                cell.innerHTML = `<input type="number" value="${value}">`;
            });
        }

        function cancelEdit(id) {
            document.querySelectorAll(`.row-${id} .edit-btn`).forEach(btn => btn.style.display = 'inline-block');
            document.querySelectorAll(`.row-${id} .delete-btn`).forEach(btn => btn.style.display = 'inline-block');
            document.querySelectorAll(`.row-${id} .save-btn`).forEach(btn => btn.style.display = 'none');
            document.querySelectorAll(`.row-${id} .cancel-btn`).forEach(btn => btn.style.display = 'none');

            document.querySelectorAll(`.row-${id} .editable`).forEach(cell => {
                cell.innerHTML = cell.dataset.original;
            });

            document.querySelectorAll(`.row-${id} .editable-number`).forEach(cell => {
                cell.innerHTML = cell.dataset.original;
            });
        }

        function saveRow(id) {
            const nume = document.querySelector(`.row-${id} .nume input`).value;
            const zile_scadenta = document.querySelector(`.row-${id} .scadenta input`).value;

            const data = {
                id: id,
                nume: nume,
                zile_scadenta: zile_scadenta
            };

            fetch('update_furnizor.php', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json'
                },
                body: JSON.stringify(data)
            })
            .then(response => response.json())
            .then(responseData => {
                if (responseData.success) {
                    document.querySelector(`.row-${id} .nume`).innerText = nume;
                    document.querySelector(`.row-${id} .scadenta`).innerText = zile_scadenta;

                    document.querySelectorAll(`.row-${id} .edit-btn`).forEach(btn => btn.style.display = 'inline-block');
                    document.querySelectorAll(`.row-${id} .delete-btn`).forEach(btn => btn.style.display = 'inline-block');
                    document.querySelectorAll(`.row-${id} .save-btn`).forEach(btn => btn.style.display = 'none');
                    document.querySelectorAll(`.row-${id} .cancel-btn`).forEach(btn => btn.style.display = 'none');
                } else {
                    alert('Eroare la actualizarea furnizorului: ' + responseData.message);
                }
            })
            .catch(error => {
                console.error('Eroare:', error);
            });
        }

        function deleteRow(id) {
            if (confirm('Ești sigur că vrei să ștergi acest furnizor?')) {
                fetch('delete_furnizor.php', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json'
                    },
                    body: JSON.stringify({ id: id })
                })
                .then(response => response.json())
                .then(responseData => {
                    if (responseData.success) {
                        document.querySelector(`.row-${id}`).remove();
                    } else {
                        alert('Eroare la ștergerea furnizorului.');
                    }
                })
                .catch(error => {
                    console.error('Eroare:', error);
                });
            }
        }
    </script>
</head>
<body>
    <div class="container">
      
        <table>
            <thead>
                <tr>
                    <th style="width: 60%;">Nume</th>
                   <th style="width: 20%; text-align: left;">Scadență</th>

                    <th style="width: 20%; text-align: center;">Acțiuni</th>
                </tr>
            </thead>
            <tbody>
                <?php
                if ($result->num_rows > 0) {
                    while ($row = $result->fetch_assoc()) {
                        echo "<tr class='row-{$row['id']}'>
                                <td class='nume editable'>{$row['nume']}</td>
                                <td class='scadenta editable-number'>{$row['zile_scadenta']}</td>
                                <td class='actions'>
                                    <a class='button edit-btn' onclick='editRow({$row['id']})'>Editează</a>
                                    <a class='button delete-btn' onclick='deleteRow({$row['id']})'>Șterge</a>
                                    <a class='button save-btn' onclick='saveRow({$row['id']})'>Salvează</a>
                                    <a class='button cancel-btn' onclick='cancelEdit({$row['id']})'>Anulează</a>
                                </td>
                              </tr>";
                    }
                } else {
                    echo "<tr><td colspan='3'>Nu există furnizori</td></tr>";
                }
                $conn->close();
                ?>
            </tbody>
        </table>
        <div class="menu">
            <a href="add_furnizor.php">Înapoi</a>
        </div>
    </div>
</body>
</html>
